version: "3.6"

services:
  webui:
    image: ${DEPLOY_IMAGE}
    networks:
      - backend
    stop_signal: SIGQUIT
    deploy:
      update_config:
        order: start-first
    healthcheck:
      test: ["CMD", "curl", "localhost:8080/health"]
      interval: 1m
      timeout: 10s
      retries: 3
      start_period: 30s
    labels:
      com.datadoghq.ad.logs: '[{"source": "nginx", "service": "webui"}]'
      traefik.docker.network: "backend"
      traefik.enable: "true"
      traefik.http.routers.webui.rule: "Host(`bxt-dev.adaptiveagriculture.ca`)"
      traefik.frontend.redirect.regex: "^https?://bxt-dev.adaptiveagriculture.ca/(.*)"
      traefik.frontend.redirect.replacement: "https://bxt-dev.adaptiveagriculture.ca/$${1}"
      traefik.backend: "www"
      traefik.http.services.webui.loadbalancer.server.port: "80"
      traefik.protocol: "http"
    dns:
      - 69.27.101.6

networks:
  backend:
    external: true
